%define 	pname courier-imap
%define 	pversion 2.1.2
%define 	bversion 120
%define 	rpmrelease iworx
%define 	_localstatedir /var/run
%define		courierdatadir %{_datadir}/courier
%define		courierlibdir %{_libdir}/courier
%define		couriersysconfdir %{_sysconfdir}/courier
%define		servicedir /service
%define		vpopincdir /home/vpopmail/include
%define		vpoplibdir /home/vpopmail/lib

%define 	debug_package %{nil}

# INSTRUCTIONS!!! <--------------------- READ THEM!!!
#
# You can rebuild  this  package safely using Command 
# Line Overrides. For example, if you want to rebuild
# this package for RedHat just type:
# $ rpm --rebuild --with redhat package.src.rpm
# $ rpm -ba --with redhat package.spec
#
# mdk = GNU/Linux Mandrake
# rht = Linux Red-Hat
# sus = Suse Linux
# fdr = Fedora Linux
# cos = CentOS
# whb = White Box Linux
# rhe = Red Hat Enterprise
# unk = Unknown
#

%define 	build_rht_90   0
%define		build_cos_3x   0
%define		build_fdr_10   0
%define		build_fdr_20   0
%define		build_fdr_30   0
%define		build_fdr_40   0
%define		build_fdr_80   0
%define		build_fdr_90   0
%define		build_whb_3x   0
%define		build_rhe_2x   0
%define		build_rhe_3x   0
%define		build_rhe_4x   0
%define		build_rhe_5x   0
%define		build_rhe_6x   0

%define		build_unk      1

# Command Line Overrides
%{?_with_rht90:   	%{expand: %%define build_rht_90   1}}
%{?_with_cos3x: 	%{expand: %%define build_cos_3x   1}}
%{?_with_fdr10: 	%{expand: %%define build_fdr_10   1}}
%{?_with_fdr20: 	%{expand: %%define build_fdr_20   1}}
%{?_with_fdr30: 	%{expand: %%define build_fdr_30   1}}
%{?_with_fdr40: 	%{expand: %%define build_fdr_40   1}}
%{?_with_fdr80: 	%{expand: %%define build_fdr_80   1}}
%{?_with_fdr90: 	%{expand: %%define build_fdr_90   1}}
%{?_with_whb3x: 	%{expand: %%define build_whb_3x   1}}
%{?_with_rhe2x: 	%{expand: %%define build_rhe_2x   1}}
%{?_with_rhe3x: 	%{expand: %%define build_rhe_3x   1}}
%{?_with_rhe4x: 	%{expand: %%define build_rhe_4x   1}}
%{?_with_rhe5x: 	%{expand: %%define build_rhe_5x   1}}
%{?_with_rhe6x: 	%{expand: %%define build_rhe_6x   1}}

%{?_with_unk: 		%{expand: %%define build_unk      1}}

# Distro Statements
%if %{build_rht_90}
%define		oscode rht90
%define 	ostype RedHat 9
BuildRequires:	openssl-devel
BuildRequires:	expect
BuildRequires:	gdbm-devel
BuildRequires:	vpopmail >= 5.3.8
Requires:	openssl
Requires:	expect
%define         ccflags %{optflags} -I%{vpopincdir} -L%{vpoplibdir} -DHAVE_OPEN_SMTP_RELAY
%define         ldflags %{optflags} -L%{vpoplibdir}
%define		build_unk 0
%endif

%if %{build_cos_3x}
%define		oscode cos3x
%define 	ostype CentOS 3.x
BuildRequires:	expect
BuildRequires:	vpopmail >= 5.3.8
Requires:	expect
%define         ccflags %{optflags} -I%{vpopincdir} -L%{vpoplibdir} -DHAVE_OPEN_SMTP_RELAY
%define         ldflags %{optflags} -L%{vpoplibdir}
%define		build_unk 0
%endif

%if %{build_fdr_10}
%define		oscode fdr10
%define 	ostype Fedora Core 1
BuildRequires:	expect-devel
BuildRequires:	vpopmail >= 5.3.8
Requires:	expect
%define         ccflags %{optflags} -I%{vpopincdir} -L%{vpoplibdir} -DHAVE_OPEN_SMTP_RELAY
%define         ldflags %{optflags} -L%{vpoplibdir}
%define		build_unk 0
%endif

%if %{build_fdr_20}
%define		oscode fdr20
%define 	ostype Fedora Core 2
BuildRequires:	expect-devel
BuildRequires:	vpopmail >= 5.3.8
Requires:	expect
%define         ccflags %{optflags} -I%{vpopincdir} -L%{vpoplibdir} -DHAVE_OPEN_SMTP_RELAY
%define         ldflags %{optflags} -L%{vpoplibdir}
%define		build_unk 0
%endif

%if %{build_fdr_30}
%define		oscode fdr30
%define 	ostype Fedora Core 3
BuildRequires:	expect-devel
BuildRequires:	vpopmail >= 5.3.8
Requires:	expect
%define         ccflags %{optflags} -I%{vpopincdir} -L%{vpoplibdir} -DHAVE_OPEN_SMTP_RELAY
%define         ldflags %{optflags} -L%{vpoplibdir}
%define		build_unk 0
%endif

%if %{build_fdr_40}
%define		oscode fdr40
%define 	ostype Fedora Core 4
BuildRequires:	expect-devel
BuildRequires:	vpopmail >= 5.3.8
Requires:	expect
%define         ccflags %{optflags} -I%{vpopincdir} -L%{vpoplibdir} -DHAVE_OPEN_SMTP_RELAY
%define         ldflags %{optflags} -L%{vpoplibdir}
%define		build_unk 0
%endif

%if %{build_fdr_80}
%define		oscode fdr80
%define 	ostype Fedora Core 8
BuildRequires:	expect-devel
BuildRequires:	vpopmail >= 5.3.8
Requires:	expect
%define         ccflags %{optflags} -I%{vpopincdir} -L%{vpoplibdir} -DHAVE_OPEN_SMTP_RELAY
%define         ldflags %{optflags} -L%{vpoplibdir}
%define		build_unk 0
%endif

%if %{build_fdr_90}
%define		oscode fdr90
%define 	ostype Fedora Core 9
BuildRequires:	expect-devel
BuildRequires:	vpopmail >= 5.3.8
Requires:	expect
%define         ccflags %{optflags} -I%{vpopincdir} -L%{vpoplibdir} -DHAVE_OPEN_SMTP_RELAY
%define         ldflags %{optflags} -L%{vpoplibdir}
%define		build_unk 0
%endif

%if %{build_whb_3x}
%define		oscode whb3x
%define 	ostype White Box 3.x
BuildRequires:	expect
BuildRequires:	vpopmail >= 5.3.8
Requires:	expect
%define         ccflags %{optflags} -I%{vpopincdir} -L%{vpoplibdir} -DHAVE_OPEN_SMTP_RELAY
%define         ldflags %{optflags} -L%{vpoplibdir}
%define		build_unk 0
%endif

%if %{build_rhe_2x}
%define		oscode rhe2x
%define 	ostype RedHat Enterprise 2.x
BuildRequires:	expect
BuildRequires:	vpopmail >= 5.3.8
Requires:	expect
%define         ccflags %{optflags} -I%{vpopincdir} -L%{vpoplibdir} -DHAVE_OPEN_SMTP_RELAY
%define         ldflags %{optflags} -L%{vpoplibdir}
%define		build_unk 0
%endif

%if %{build_rhe_3x}
%define		oscode rhe3x
%define 	ostype RedHat Enterprise 3.x
BuildRequires:	expect
BuildRequires:	vpopmail >= 5.3.8
Requires:	expect
%define         ccflags %{optflags} -I%{vpopincdir} -L%{vpoplibdir} -DHAVE_OPEN_SMTP_RELAY
%define         ldflags %{optflags} -L%{vpoplibdir}
%define		build_unk 0
%endif

%if %{build_rhe_4x}
%define		oscode rhe4x
%define 	ostype RedHat Enterprise 4.x
BuildRequires:	expect
BuildRequires:	vpopmail >= 5.3.8
Requires:	expect
%define         ccflags %{optflags} -I%{vpopincdir} -L%{vpoplibdir} -DHAVE_OPEN_SMTP_RELAY
%define         ldflags %{optflags} -L%{vpoplibdir}
%define		build_unk 0
%endif

%if %{build_rhe_5x}
%define		oscode rhe5x
%define 	ostype RedHat Enterprise 5.x
BuildRequires:	expect
BuildRequires:	vpopmail >= 5.3.8
Requires:	expect
%define         ccflags %{optflags} -I%{vpopincdir} -L%{vpoplibdir} -DHAVE_OPEN_SMTP_RELAY
%define         ldflags %{optflags} -L%{vpoplibdir}
%define		build_unk 0
%endif

%if %{build_rhe_6x}
%define		oscode rhe6x
%define 	ostype RedHat Enterprise 6.x
BuildRequires:	expect
BuildRequires:	vpopmail >= 5.3.8
Requires:	expect
%define         ccflags %{optflags} -I%{vpopincdir} -L%{vpoplibdir} -DHAVE_OPEN_SMTP_RELAY
%define         ldflags %{optflags} -L%{vpoplibdir}
%define		build_unk 0
%endif

%define	release %{bversion}.%{oscode}.%{rpmrelease}

##
# THIS MUST BE LAST
##

%if %{build_unk}
%define		oscode unk
%define 	ostype Unknown Distribution
%define		release %{bversion}.%{rpmrelease}
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%endif

############### RPM ################################

Summary:	Courier-IMAP is an IMAP server that uses Maildirs
Name:		%{pname}
Version:	%{pversion}
Release:	%{release}
License:	GPL

Group:		System/Servers
Source0:	courier-imap-%{pversion}.tar.bz2
URL:		http://www.courier-mta.org

Distribution:	InterWorx-HAL
Vendor:         INTERWORX L.L.C.
Packager:	    Paul Oehler <poehler@interworx.com>

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	vpopmail >= 5.3.8
Requires:	qmail >= 1.03
Requires:	ucspi-tcp >= 0.88
Requires:	daemontools >= 0.76
BuildRequires:  mysql-iworx
BuildRequires:  gdbm-devel
BuildRequires:  db4-devel
BuildRequires:  zlib-devel
BuildRequires:  openssl-devel
Conflicts:	uw-imap
Conflicts:	cyrus-imapd
Obsoletes:	courier-imap-toaster
Provides:	imap-server

Source1:	courier-imap-supervise-imap4.run.bz2
Source2:	courier-imap-supervise-imap4-log.run.bz2
Source3:	courier-imap-supervise-imap4-ssl.run.bz2
Source4:	courier-imap-supervise-imap4-ssl-log.run.bz2
Source5:	courier-imap-supervise-pop3-ssl.run.bz2
Source6:	courier-imap-supervise-pop3-ssl-log.run.bz2
Source7:	courier-imap-envconv.bz2
Source8:	courier-imap-imap4.init.bz2
Source9:	courier-imap-imap4-ssl.init.bz2
Source10:	courier-imap-pop3-ssl.init.bz2
Patch0:		courier.preauthvchkpw.patch.bz2
Patch1:		courier-pci.patch
Patch2: 	courier-imap-2.1.2-vpop-lib-issue.patch

%description
Courier-IMAP is an IMAP server for Maildir mailboxes.  This package contains
the  standalone  version of the  IMAP server  that's included in the Courier
mail server package.  This  package  is  a  standalone  version for use with
qmail mail servers.   Do  not  install this package if you intend to 
install the full Courier mail server.

%package	doc
Summary:	Courier-Imap documentation
Group:		Documentation
Obsoletes:	courier-imap-toaster-doc
Requires:	%{name} = %{version}

%description	doc
Courier-IMAP documentation (man pages).

%prep

%define name courier-imap
%setup -q -n courier-imap-%{pversion}
%patch0 -p0
%patch1 -p1
%patch2 -p1

# Try detecting newest gcc (some distributions have got more then one compiler)
# and write it on a temp file 

[ -f %{_tmppath}/%{name}-%{pversion}-gcc ] && rm -f %{_tmppath}/%{name}-%{pversion}-gcc

if   [ -x /usr/bin/gcc-3.2.3 ]; then
	echo "/usr/bin/gcc-3.2.3" > %{_tmppath}/%{name}-%{pversion}-gcc
elif   [ -x /usr/bin/gcc-3.2.2 ]; then
	echo "/usr/bin/gcc-3.2.2" > %{_tmppath}/%{name}-%{pversion}-gcc
elif   [ -x /usr/bin/gcc-3.2.1 ]; then
	echo "/usr/bin/gcc-3.2.1" > %{_tmppath}/%{name}-%{pversion}-gcc
elif [ -x /usr/bin/gcc-3.2 ]; then
        echo "/usr/bin/gcc-3.2" > %{_tmppath}/%{name}-%{pversion}-gcc
elif [ -x /usr/bin/gcc-3.1.1 ]; then
        echo "/usr/bin/gcc-3.1.1" > %{_tmppath}/%{name}-%{pversion}-gcc
else
	echo "gcc" > %{_tmppath}/%{name}-%{pversion}-gcc
fi

# Display compilation flags and OS with colors ;)

[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags
cat <<EOF >>%{_tmppath}/%{name}-%{pversion}-show_flags
#!/bin/sh

RPM="RPM RELEASE: \033[40m\033[001;033m%{release}"
OS="OS TYPE IS : \033[40m\033[001;033m%{ostype}"
GCC="GCC IS     : \033[40m\033[001;033m`cat %{_tmppath}/%{name}-%{pversion}-gcc`"
CCF="CCFLAGS    : \033[40m\033[001;033m%{ccflags}"
LDF="LDFLAGS    : \033[40m\033[001;033m%{ldflags}"

echo
echo
echo -e "\033[40m\033[001;031m\$RPM\033[0m"
echo -e "\033[40m\033[001;031m\$OS\033[0m"
echo -e "\033[40m\033[001;031m\$GCC\033[0m"
echo -e "\033[40m\033[001;031m\$CCF\033[0m"
echo -e "\033[40m\033[001;031m\$LDF\033[0m"
echo
echo

sleep 5

EOF

# Take care to execute and then to delete
chmod u+x %{_tmppath}/%{name}-%{pversion}-show_flags
%{_tmppath}/%{name}-%{pversion}-show_flags
[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags

%build

# We have gcc written in a temp file
export CC="`cat %{_tmppath}/%{name}-%{pversion}-gcc` %{ccflags}"

# Delete gcc temp file
[ -f %{_tmppath}/%{name}-%{pversion}-gcc ] && rm -f %{_tmppath}/%{name}-%{pversion}-gcc

./configure                                       \
	--prefix=%{_prefix}                       \
	--bindir=%{_bindir}                       \
	--mandir=%{_mandir}                       \
	--localstatedir=%{_localstatedir}         \
	--libdir=%{_libdir}                       \
	--includedir=%{_includedir}               \
	--enable-unicode                          \
	--enable-workarounds-for-imap-client-bugs \
	--disable-root-check                      \
	--libexec=%{courierlibdir}                \
	--datadir=%{courierdatadir}               \
	--sysconfdir=%{couriersysconfdir}         \
	--with-authvchkpw                         \
	--without-authpam                         \
	--without-authmysql                       \
	--without-authdaemon                      \
	--without-authpwd                         \
	--without-authshadow                      \
	--without-authuserdb                      \
	--without-authcram                        \
	--without-authldap                        \
	--without-authpgsql                       \
	--without-authcustom                      \
        --with-trashquota                         \
	--with-ssl                                \
	--with-redhat

%{__make} %{?_smp_mflags}

%install

[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%{__make} \
	DESTDIR=%{buildroot} \
	install

# Qmail logs

mkdir -p %{buildroot}/var/log/imap4
mkdir -p %{buildroot}/var/log/imap4-ssl
mkdir -p %{buildroot}/var/log/pop3-ssl

# Supervise
mkdir -p %{buildroot}%{servicedir}/imap4/log
mkdir -p %{buildroot}%{servicedir}/imap4/supervise
mkdir -p %{buildroot}%{servicedir}/imap4-ssl/log
mkdir -p %{buildroot}%{servicedir}/imap4-ssl/supervise
mkdir -p %{buildroot}%{servicedir}/imap4-ssl/env
mkdir -p %{buildroot}%{servicedir}/pop3-ssl/log
mkdir -p %{buildroot}%{servicedir}/pop3-ssl/supervise
mkdir -p %{buildroot}%{servicedir}/pop3-ssl/env

# sysv
mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
mkdir -p %{buildroot}%{_bindir}

install -m700 %{SOURCE1} %{buildroot}%{servicedir}/imap4/run.bz2
bunzip2 %{buildroot}%{servicedir}/imap4/run.bz2
install -m700 %{SOURCE2} %{buildroot}%{servicedir}/imap4/log/run.bz2
bunzip2 %{buildroot}%{servicedir}/imap4/log/run.bz2
install -m700 %{SOURCE3} %{buildroot}%{servicedir}/imap4-ssl/run.bz2
bunzip2 %{buildroot}%{servicedir}/imap4-ssl/run.bz2
install -m700 %{SOURCE4} %{buildroot}%{servicedir}/imap4-ssl/log/run.bz2
bunzip2 %{buildroot}%{servicedir}/imap4-ssl/log/run.bz2
install -m700 %{SOURCE5} %{buildroot}%{servicedir}/pop3-ssl/run.bz2
bunzip2 %{buildroot}%{servicedir}/pop3-ssl/run.bz2
install -m700 %{SOURCE6} %{buildroot}%{servicedir}/pop3-ssl/log/run.bz2
bunzip2 %{buildroot}%{servicedir}/pop3-ssl/log/run.bz2
install -m755 %{SOURCE7} %{buildroot}%{_bindir}/envconv.bz2
bunzip2 %{buildroot}%{_bindir}/envconv.bz2

install -m700 %{SOURCE8} %{buildroot}%{_sysconfdir}/rc.d/init.d/imap4.bz2
bunzip2 %{buildroot}%{_sysconfdir}/rc.d/init.d/imap4.bz2
install -m700 %{SOURCE9} %{buildroot}%{_sysconfdir}/rc.d/init.d/imap4-ssl.bz2
bunzip2 %{buildroot}%{_sysconfdir}/rc.d/init.d/imap4-ssl.bz2
install -m700 %{SOURCE10} %{buildroot}%{_sysconfdir}/rc.d/init.d/pop3-ssl.bz2
bunzip2 %{buildroot}%{_sysconfdir}/rc.d/init.d/pop3-ssl.bz2

# Copio alcuni files
cp imap/README README.imap
cp maildir/README.maildirquota.txt README.maildirquota
cp maildir/README.sharedfolders.txt README.sharedfolders

# Alcune utilities (le installo)
install -m755 authlib/authinfo %{buildroot}%{_bindir}/courier-imap-authinfo
install -m755 authlib/authtest %{buildroot}%{_bindir}/courier-imap-authtest

# Cancello i file del SysV che non usiamo pi
[ -f %{courierlibdir}/imapd.rc ] 	&& rm -f %{courierlibdir}/imapd.rc
[ -f %{courierlibdir}/imapd-ssl.rc ] 	&& rm -f %{courierlibdir}/imapd-ssl.rc
[ -f %{courierlibdir}/pop3d.rc ] 	&& rm -f %{courierlibdir}/pop3d.rc
[ -f %{courierlibdir}/pop3d-ssl.rc ] 	&& rm -f %{courierlibdir}/pop3d-ssl.rc

%post

[ -f %{_tmppath}/setupcourier ] && rm -f %{_tmppath}/setupcourier

# Creo i certificati ssl dummy solo se NON sto upgradando 
if [ $1 = "1" ]; then
cat <<EOF >>%{_tmppath}/setupcourier
#!/bin/sh
[ -f %{courierdatadir}/pop3d.pem ] || %{courierdatadir}/mkpop3dcert >/dev/null 2>&1
[ -f %{courierdatadir}/imapd.pem ] || %{courierdatadir}/mkimapdcert >/dev/null 2>&1
EOF
fi

if [ -f %{_tmppath}/setupcourier ]; then
chmod +x %{_tmppath}/setupcourier
%{_tmppath}/setupcourier 2>&1 > /dev/null
rm -f %{_tmppath}/setupcourier
fi;

if [ -d /usr/lib64/courier/authlib ]; then
	mkdir -p /usr/lib/courier/authlib/ || :
	ln -s /usr/lib64/courier/authlib/authvchkpw /usr/lib/courier/authlib/authvchkpw 2> /dev/null || :
fi

svc -t /service/imap4

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
[ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] && rm -rf $RPM_BUILD_DIR/%{name}-%{pversion}

%files doc

%defattr(-, -, root)
%attr(0644,root,root) %{_mandir}/man1/*
%attr(0644,root,root) %{_mandir}/man7/*
%attr(0644,root,root) %{_mandir}/man8/*

%files 

%defattr(-, -, root)
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_sbindir}/*
%attr(0755,root,root) %dir %{courierlibdir}
%attr(0755,root,root) %{courierlibdir}/*
%attr(0755,root,root) %dir %{courierdatadir}
%attr(0755,root,root) %{courierdatadir}/*
%attr(0755,root,root) %dir %{couriersysconfdir}
%attr(0644,root,root) %{couriersysconfdir}/*
%attr(1700,qmaill,qmail) %dir %{servicedir}/imap4
%attr(0700,qmaill,qmail) %dir %{servicedir}/imap4/log
%attr(0700,qmaill,qmail) %dir %{servicedir}/imap4/supervise
%attr(1700,qmaill,qmail) %dir %{servicedir}/imap4-ssl
%attr(0700,qmaill,qmail) %dir %{servicedir}/imap4-ssl/env
%attr(0700,qmaill,qmail) %dir %{servicedir}/imap4-ssl/log
%attr(0700,qmaill,qmail) %dir %{servicedir}/imap4-ssl/supervise
%attr(1700,qmaill,qmail) %dir %{servicedir}/pop3-ssl
%attr(0700,qmaill,qmail) %dir %{servicedir}/pop3-ssl/env
%attr(0700,qmaill,qmail) %dir %{servicedir}/pop3-ssl/log
%attr(0700,qmaill,qmail) %dir %{servicedir}/pop3-ssl/supervise
%config(noreplace) %attr(0751,qmaill,qmail) %{servicedir}/imap4/run
%config(noreplace) %attr(0751,qmaill,qmail) %{servicedir}/imap4/log/run
%config(noreplace) %attr(0751,qmaill,qmail) %{servicedir}/imap4-ssl/run
%config(noreplace) %attr(0751,qmaill,qmail) %{servicedir}/imap4-ssl/log/run
%config(noreplace) %attr(0751,qmaill,qmail) %{servicedir}/pop3-ssl/run
%config(noreplace) %attr(0751,qmaill,qmail) %{servicedir}/pop3-ssl/log/run
%attr(0750,qmaill,qmail) %dir /var/log/imap4
%attr(0750,qmaill,qmail) %dir /var/log/imap4-ssl
%attr(0750,qmaill,qmail) %dir /var/log/pop3-ssl
%attr(0700,root,root) %{_sysconfdir}/rc.d/init.d/imap4
%attr(0700,root,root) %{_sysconfdir}/rc.d/init.d/imap4-ssl
%attr(0700,root,root) %{_sysconfdir}/rc.d/init.d/pop3-ssl

%changelog
* Sat Jun 30 2012 Dan Motles <dmotles@interworx.com>
- Modified init scripts to be LSB compliant for HA
* Wed Jan 18 2012 Paul Oehler <poehler@interworx.com>
- Added --with-trashquota compile option.
* Fri Nov 11 2011 Paul Oehler <poehler@interworx.com>
- Changed lib64 detection to prevent false positives.
* Thu Nov 10 2011 Matthew Parmelee <mparmelee@interworx.com>
- Modified imap4 and imap4-ssl settings to prevent overwriting.
* Thu May 06 2010 Paul Oehler <poehler@interworx.com>
- Updated for RHEL 6.x
* Wed Nov 04 2009 Paul Oehler <poehler@interworx.com>
- Modified imap4-ssl run file to include the imap-dist vars
* Mon May 25 2009 Paul Oehler <poehler@interworx.com>
- Added patch to updat .dist files for PCI complicance
* Tue Jun 17 2008 Paul Oehler <poehler@interworx.com>
- Updated for Fedora 9
* Tue May 13 2008 Paul Oehler <poehler@interworx.com>
- Added support for Fedora 8
* Tue Jun 28 2004 Chris Wells <clwells@nexcess.net>
- Initial packaging as part of InterWorx-HAL OS
* Wed Jun 2 2004 Chris Wells <clwells@nexcess.net>
- Added Fedora / CentOS
* Thu May 15 2003 Miguel Beccari <miguel.beccari@clikka.com> 0.7.3-1.0.1
- Last version 1.7.3
- Clean-ups on SPEC file: compilation banner, better gcc detects
- Detect gcc-3.2.3
- Fixed permissions on supervise dirs (rare bug with high msec security)
- Red Hat Linux 9.0 support (nick@ndhsoft.com)
- Gnu/Linux Mandrake 9.2 support
* Wed Apr 9 2003 David Uhlman <devel_mail@andthengroup.com> 0.7.0-1.0.3
- Fixed courier ssl run scripts to include necessary environment variables.
  Added /bindir/envconv, /qmaildir/supervise/*ssl/env dir to hold envdir vars
* Wed Apr 02 2003 Miguel Beccari <miguel.beccari@clikka.com> 1.7.0-1.0.3
- Clean-ups
* Mon Mar 31 2003 Miguel Beccari <miguel.beccari@clikka.com> 1.7.0-1.0.2
- Conectiva Linux 7.0 support
* Sun Feb 15 2003 Miguel Beccari <miguel.beccari@clikka.com> 1.7.0-1.0.1
- Last version 1.7.0
* Sat Feb 15 2003 Nick Hemmesch <nick@ndhsoft.com> 1.6.2-1.0.4
- Support for Red Hat 8.0
* Sat Feb 01 2003 Miguel Beccari <miguel.beccari@clikka.com> 1.6.2-1.0.3
- Redo Macros to prepare supporting larger RPM OS.
  We could be able to compile (and use) packages under every RPM based
  distribution: we just need to write right requirements.
* Fri Jan 31 2003 Miguel Beccari <miguel.beccari@clikka.com> 1.6.2-1.0.2
- Fixed bugs in RPM macros, but we need to improve them to support a large
  number of RPM based OS.
* Sat Jan 25 2003 Miguel Beccari <miguel.beccari@clikka.com> 1.6.2-1.0.1
- Last version of Courier: 1.6.2
- Added MDK 9.1 support
- Try to use gcc-3.2.1
- Added very little patch to compile with newest GLIBC
- Support dor new RPM-4.0.4
* Wed Nov 13 2002 Miguel Beccari <miguel.beccari@clikka.com> 1.6.1-1.0.1
- Last version of Courier: 1.6.1
* Sat Oct 05 2002 Miguel Beccari <miguel.beccari@clikka.com> 1.5.3-0.9.2
- RPM macros to detect Mandrake, RedHat, Trustix are OK again. They are
  very basic but they should work.
- Packages are named with their proper releases and bversion is from now
  part of the rpm release: we will continue upgrading safely.
* Mon Sep 23 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.8.1.5.3-1
- Rebuilded under 0.8 tree.
- Important comments translated from Italian to English.
- Written rpm rebuilds instruction at the top of the file (in english).
- Clean-ups
* Sun Sep 22 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.7.1.5.3-1
- New version 1.5.3
* Wed Sep 04 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.7.1.5.2-3
- From now we will run imap4, imap4-ssl, pop3-ssl over tcpserver
* Thu Aug 29 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.7.1.5.2-2
- Deleted Mandrake Release Autodetection (creates problems)
* Fri Aug 16 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.7.1.5.2-1
- New version: 0.7 toaster.
- Better upgrade capabilities: now uninstallation is clean (no died files)
- Better macros to detect Mandrake Release
* Thu Aug 13 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.6.1.5.2-1
- New version: 0.6 toaster.
- Soft clean-ups for upgrade cleanly.
* Mon Aug 12 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.5.1.5.2-1
- Doc package is standalone (someone does not ask for man pages)
- Checks for gcc-3.2 (default compiler from now)
- New version: 0.5 toaster.
* Tue Aug 08 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.4.1.5.2-1
- Rebuild agains 0.4 toaster
- Better upgrade features
* Wed Aug 07 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.3.1.5.2-1
- New version (1.5.2)
* Thu Aug 06 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.3.1.5.1-3
- Better dependencies for RedHat
* Thu Jul 30 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.3.1.5.1-2
- Now packages have got 'no sex': you can rebuild them with command line
  flags for specifics targets that are: RedHat, Trustix, and of course
  Mandrake (that is default)
- Soft clean-ups
* Sun Jul 28 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.3.1.5.1.1mdk
- toaster v. 0.3: now it is possible upgrading safely because of 'pversion'
  that is package version and 'version' that is toaster version
* Thu Jul 25 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.2-1.5.1.1mdk
- toaster v. 0.2
* Thu Jul 18 2002 Miguel Beccari <miguel.beccari@clikka.com> 0.1-1.5.1.2mdk
- Added tests for gcc-3.1.1
- Added toaster version (we will need to mantain it too): is vtoaster 0.1
- Deleted all Mandrake dependencies as mandrake-release and so on...
- Deleted chkconfig work (some people told me on RedHat failed) and added
  soft links.
* Thu Jul 11 2002 Miguel Beccari <miguel.beccari@clikka.com> 1.5.1-1mdk
- First Package
